Jump to content

  • You cannot start a new topic
  • You cannot reply to this topic

Upgrade To 4.3.8 Problem Rate Topic   - - - - -

 
  • Samanthar
  • Junior Member
  • Members
  • Join Date: 01-Mar 10
  • 51 posts

Posted 18 July 2016 - 06:03 AM #1

Hi, I have just updated to 4.3.8 and now getting a 403 forbidden page for my website but the admin is working and the following is coming up in the error log, (I have just changed the name of the database and password so i can add this text)

 

[18-Jul-2016 03:31:51 UTC] PHP Fatal error:  Uncaught Error: Class 'mysqli' not found in /home/polefitn/public_html/app/Tygh/Backend/Database/Mysqli.php:37
Stack trace:
#0 /home/polefitn/public_html/app/Tygh/Database.php(74): Tygh\Backend\Database\Mysqli->connect('databasename', '#######', 'localhost', 'polefitn_shop3')
#1 /home/polefitn/public_html/app/functions/fn.database.php(244): Tygh\Database::connect('databasename', '########', 'localhost', 'databasename', Array)
#2 /home/polefitn/public_html/init.php(85): db_initiate('localhost', 'databasename', #######', 'polefitn_shop3')
#3 /home/polefitn/public_html/index.php(24): require('/home/polefitn/...')
#4 {main}
  thrown in /home/polefitn/public_html/app/Tygh/Backend/Database/Mysqli.php on line 37
 
I tried to restore the previous backup and i get this
Unable to restore
Required mysqli or pdo_mysql.
 
Your help would be appreciated


 
  • tbirnseth
  • CS Cart Expert
  • Authorized Reseller
  • Join Date: 08-Nov 08
  • 12076 posts

Posted 18 July 2016 - 09:16 PM #2

If you're using an older version of php, you can change $config['backend_database'] = 'mysqli' to 'mysql'  or 'pdo_mysql' instead.

It's unusual to find a commercial hosting provider that isn't supporting mysqli in their instance of PHP.  But some of the older versions don't support it.


EZ Merchant Solutions: Custom (USA based) B2B Development, Consulting, Development and Special Projects (get a quote here).
Commercial addons, payment methods and modifications to meet your business and operations needs.


 
  • Samanthar
  • Junior Member
  • Members
  • Join Date: 01-Mar 10
  • 51 posts

Posted 19 July 2016 - 05:39 AM #3

thanks, i endedup up restoring the old version, playing with the php settings and doing the upgrade again.. so far no problems. thanks for your help